<div *ngIf="errorMessage" class="alert alert-danger" role="alert">
    {{errorMessage}}
</div>
<div class="d-flex justify-content-center align-items-center" style="height: 100%;">
    <div class="bg-light auth-box">
        <h3 class="text-center">Login</h3>
        <p style="margin-bottom: 0;">
            <mat-form-field appearance="outline">
                <mat-label>Username</mat-label>
                <input [(ngModel)]="loginData.email" name="email" type="text" matInput placeholder="Enter Email">
                <mat-icon matPrefix>email</mat-icon>
            </mat-form-field>
        </p>
        <p>
            <mat-form-field appearance="outline">
                <mat-label>Password</mat-label>
                <input [(ngModel)]="loginData.password" name="password" type="password" matInput placeholder="Enter Password">
                <mat-icon matPrefix>lock</mat-icon>
            </mat-form-field>
        </p>
        <p class="text-center">
            <button type="button" class="btn btn-primary" (click)="onLogin()" [disabled]="isDisabled">
                Login</button>
        </p>
        <p class="text-center"><a routerLink="/auth/register">Register</a></p>
    </div>
</div>